import abc
from typing import TypeVar

from rainbowadn.hashing.hashpoint import HashPoint
from rainbowadn.hashing.static import StaticMentionable

__all__ = ('Atomic',)

AtomicMentioned = TypeVar('AtomicMentioned')


class Atomic(StaticMentionable, abc.ABC):
    def __topology_hash__(self) -> bytes:
        return HashPoint.hash(b'')
